Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.selftest
Class FramesSelfTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.archive.crawler.selftest.SelfTestCase
                  org.archive.crawler.selftest.FramesSelfTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class FramesSelfTestCase

extends SelfTestCase

Test crawler can parse pages w/ frames in them.

Version:
  $Id: FramesSelfTestCase.java 4931 2007-02-21 18:48:17Z gojomo $
Author:
  stack

Field Summary

Fields inherited from class org.archive.crawler.selftest.SelfTestCase
`SELFTEST`

Constructor Summary
`FramesSelfTestCase()`

Method Summary
`void` | `stestFrames()` Verify that all frames and their contents are found by the crawler.

Methods inherited from class org.archive.crawler.selftest.SelfTestCase
`assertExists, assertInitialized, assertNonEmpty, fileExists, filesExist, filesFoundInArc, getArcFiles, getCrawlJob, getCrawlJobDir, getHtdocs, getLogsDir, getMetaDatas, getReadReaders, getSelftestURL, getSelftestURLWithTrailingSlash, getTestName, initialize, testFilesInArc, testFilesInArc, testNothing`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FramesSelfTestCase

    public FramesSelfTestCase()

Method Detail

### stestFrames

    public void stestFrames()

  Verify that all frames and their contents are found by the crawler.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.